/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EZBNamingStrategy.java 2981 2008-04-27 15:58:00Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.api.naming;

import org.ow2.easybeans.api.bean.info.EZBBeanNamingInfo;

/**
 * This interface defines a JNDI naming strategy.
 * @author S. Ali Tokmen
 */
public interface EZBNamingStrategy {

    /**
     * Gets the JNDI name for a given bean.
     * @param beanInfo Bean information.
     * @return JNDI name for this beanInfo.
     */
    String getJNDIName(EZBBeanNamingInfo beanInfo);
}
